rpm 4.11.90

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Deprecated List

Global addMacro (rpmMacroContext mc, const char *n, const char *o, const char *b, int level)
  Use rpmDefineMacro().
  Parameters

    mc | macro context (NULL uses global context).
    n | macro name
    o | macro paramaters
    b | macro body
    level | macro recursion level (0 is entry API)

Global expandMacros (void *spec, rpmMacroContext mc, char *sbuf, size_t slen)
  Use rpmExpand().
Global headerCopyLoad (const void *uh)
  Use headerImport() instead
  Parameters

    uh | on-disk header blob (i.e. with offsets)

  Returns
    header
Global headerLoad (void *uh)
  Use headerImport() instead
  Parameters

    uh | on-disk header blob (i.e. with offsets)

  Returns
    header
Global headerUnload (Header h)
  Use headerExport() instead
  Parameters

    h | header (with pointers)

  Returns
    on-disk header blob (i.e. with offsets)
Global pgpVerifySig (pgpDig dig, DIGEST_CTX hashctx)
  use pgpVerifySignature() instead
Global rpmfcNew (void)
  Create a file classifier.
  Returns
    new file classifier
Global rpmfiConfigConflict (const rpmfi fi)
  Parameters

    fi | file info

  Returns
    1 if config file and file on disk conflicts
Global rpmfiDecideFate (const rpmfi ofi, rpmfi nfi, int skipMissing)
  Parameters

    ofi | old file info
    nfi | new file info
    skipMissing | OK to skip missing files?

  Returns
    file disposition
Global rpmfiMD5 (rpmfi fi) RPM_GNUC_DEPRECATED
  Use rpmfiFDigest() instead
  Parameters

    fi | file info set iterator

  Returns
    current file md5 digest, NULL on invalid
Global rpmlogCode (void)
  Perl-RPM needs, what's really needed is predictable, non-i18n encumbered, error text that can be retrieved through rpmlogMessage() and parsed IMHO.
  Returns
    code from last message
Global rpmShowProgress (const void *arg, const rpmCallbackType what, const rpm_loff_t amount, const rpm_loff_t total, fnpyKey key, void *data)
  Transaction callback arguments need to change, so don't rely on this routine in the rpmcli API.
Global RPMSIGTAG_LEMD5_1
  legacy.
Global RPMSIGTAG_LEMD5_2
  legacy.
Global RPMSIGTAG_PGP5
  legacy.
Global rpmteFI (rpmte te)
  use rpmteFiles() instead
  Parameters

    te | transaction element

  Returns
    file info tag set
Global rpmtsInitDB (rpmts ts, int dbmode)
  An explicit rpmdbInit() is almost never needed.
  Parameters

    ts | transaction set
    dbmode | O_RDONLY or O_RDWR

  Returns
    0 on success